<template>
  <!-- 复制模板后，请把  home-index 修改为自己模板的名称 -->
  <div class="common-frame home-index">
    <top-bar ref="topBar" />
    <div class="common-frame-scroll">
      123
    </div>
  </div>
</template>

<script>
import topBar from '@/page/index/top/top-bar'
import guideMap from '@/components/eCharts/map.vue' // 中国地图
export default {
  components: {
    topBar,
    guideMap
  },
  name: 'home-index',
  data() {
    return {
      arrow: 'always',
      top: 70,
      screenHeight: ''
    }
  },
  created() {
    this.screenHeight = document.documentElement.clientHeight - this.top + 'px'
  },
  mounted() {
    window.onresize = () => {
      return () => {
        this.screenHeight = document.documentElement.clientHeight - this.top + 'px'
      }
    }
  }
}
</script>
<style lang="scss" scoped>
.home-index {
  height: 100%;
  overflow: hidden;
  background-color: #eef3f6;
  .page-1 {
    // text-align: center;
    padding: 20px;
    .map {
      width: 1000px;
      height: 800px;
    }
  }
  .item {
    text-align: center;
    .item-img {
      min-width: 1100px;
      max-width: 100%;
    }
  }
  .el-carousel__item:nth-child(2n) {
    // background-color: #99a9bf;
  }
  .el-carousel__item:nth-child(2n + 1) {
    // background-color: #d3dce6;
  }

}
</style>
